## marknote 1.3.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Mathis Brüchert <mbb-mail@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# TODO move to release service
set(RELEASE_SERVICE_VERSION_MAJOR "1")
set(RELEASE_SERVICE_VERSION_MINOR "3")
set(RELEASE_SERVICE_VERSION "1.3.0")

project(marknote VERSION ${RELEASE_SERVICE_VERSION})

include(FeatureSummary)

set(QT_MIN_VERSION 6.4)
set(KF_MIN_VERSION 5.240)
set(KPIM_MIME_VERSION "6.1.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(KDEGitCommitHooks)
include(ECMAddAppIcon)
include(ECMAddTests)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX MARKNOTE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/marknote-version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons ColorScheme XmlGui Crash)
find_package(KF6BreezeIcons ${KF_MIN_VERSION} QUIET)
if (NOT ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
endif()
if (BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test)
endif()

find_package(KF6KirigamiAddons 1.3.0 REQUIRED)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components and runtime dependency"
)

find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)

find_package(md4c)
set_package_properties(md4c PROPERTIES
    TYPE OPTIONAL
    DESCRIPTION "MD4C stands for \"Markdown for C\" and that's exactly what this project is about."
    URL "https://github.com/mity/md4c"
    PURPOSE "Improve output of markdown to html conversion"
)

qt_policy(SET QTP0001 NEW)

add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)

add_subdirectory(src)

ki18n_install(po)

install(PROGRAMS org.kde.marknote.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.marknote.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.marknote.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

ecm_qt_install_logging_categories(
    EXPORT MARKNOTE
    FILE marknote.categories
    SORT DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Mathis Brüchert <mbb-mail@gmx.de>

qt_add_qml_module(marknote_static STATIC
    URI org.kde.marknote
    QML_FILES
        qml/Main.qml
        qml/MainEditor.qml
        qml/NotesPage.qml
        qml/NoteMetadataDialog.qml
        qml/WelcomePage.qml
        qml/ContextMenu.qml
        qml/KQuickCommandBarPage.qml
        qml/KActionFromAction.qml

        # Notebook
        qml/NotebookContextMenu.qml
        qml/NotebookDelegate.qml
        qml/NotebookDeleteAction.qml
        qml/NotebookMetadataDialog.qml
        qml/NotebookDeleteDialog.qml
        qml/ImportMaildirDialog.qml

        # Editor
        qml/EditPage.qml
        qml/LinkDialog.qml
        qml/ImageDialog.qml
        qml/TableDialog.qml
        qml/SketchDialog.qml
        qml/TextFieldContextMenu.qml

        qml/components/ActionButton.qml
        qml/components/BottomDrawer.qml
        qml/components/DoubleActionButton.qml
        qml/components/RadioSelector.qml
        qml/FormIconDelegate.qml

        # Native menu
        qml/NativeHelpMenu.qml
        qml/NativeWindowMenu.qml
        qml/NativeFileMenu.qml
        qml/NativeEditMenu.qml
        qml/GlobalMenuBar.qml
        qml/NativeMenuItemFromAction.qml

    SOURCES
        documenthandler.cpp
        notesmodel.cpp
        notebooksmodel.cpp
        nestedlisthelper.cpp
        nestedlisthelper_p.h
        navigationcontroller.cpp
        application.cpp
        actionsmodel.cpp
        commandbarfiltermodel.cpp
        tableactionhelper.cpp
        config.cpp
        windowcontroller.cpp
        colorschemer.cpp
        foreigntypes.h

        maildirimport.cpp
        maildirimport.h
)

kconfig_add_kcfg_files(marknote_static GENERATE_MOC marknotesettings.kcfgc)

add_subdirectory(settings)

target_link_libraries(marknote_static PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    KF6::I18n
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::ColorScheme
    KF6::XmlGui
    KF6::Crash
    KPim6::Mime
)

target_link_libraries(marknote_static PRIVATE settingsplugin)

if (TARGET md4c::md4c-html)
    target_link_libraries(marknote_static PUBLIC md4c::md4c-html)
endif()

add_executable(marknote main.cpp)

if(TARGET KF6::BreezeIcons)
    target_link_libraries(marknote PUBLIC
        KF6::BreezeIcons
    )
    target_compile_definitions(marknote PRIVATE WITH_BREEZEICONS_LIB)
endif ()

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-org.kde.marknote.png")
ecm_add_app_icon(marknote ICONS
    "${CMAKE_CURRENT_SOURCE_DIR}/../icons/sc-apps-org.kde.marknote.svg"
    ${ICONS_SRCS}
)

if(APPLE)
    set_target_properties(marknote PROPERTIES
        MACOSX_BUNDLE_DISPLAY_NAME "Marknote"
        MACOSX_BUNDLE_BUNDLE_NAME "Marknote"
        MACOSX_BUNDLE_LONG_VERSION_STRING "Marknote ${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
        MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.marknote"
        MACOSX_BUNDLE_COPYRIGHT "2002-2024 The Marknote Developers")
endif()


target_link_libraries(marknote PRIVATE marknote_static marknote_staticplugin)
if (NOT ANDROID)
    target_link_libraries(marknote PRIVATE Qt::Widgets)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(TARGETS marknote ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2024 Carl Schwan <carl@carlschwan.eu>

add_definitions(-DDATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/testdata" )

ecm_add_test(navigationcontrollertest.cpp
    TEST_NAME navigationcontroller
    LINK_LIBRARIES marknote_static Qt::Test
    NAME_PREFIX "marknote-"
)

ecm_add_test(notebooksmodeltest.cpp
    TEST_NAME notebooksmodel
    LINK_LIBRARIES marknote_static Qt::Test
    NAME_PREFIX "marknote-"
)

ecm_add_test(nestedlisthelpertest.cpp
    TEST_NAME nestedlisthelper
    LINK_LIBRARIES marknote_static Qt::Test
    NAME_PREFIX "marknote-"
)

ecm_add_test(maildirimporttest.cpp
    TEST_NAME maildirimporttest
    LINK_LIBRARIES marknote_static Qt::Test
    NAME_PREFIX "marknote-"
)

=== src/settings/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Gary Wang <opensource@blumia.net>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(settings STATIC)
qt_add_qml_module(settings
    URI org.kde.marknote.settings
    QML_FILES
        MarkNoteSettings.qml
        MarkNoteGeneralPage.qml
)

=== debian/changelog ===
marknote (1.3.0-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to make maildir selection work (Closes: #1091840).

 -- Patrick Franz <deltaone@debian.org>  Thu, 09 Jan 2025 07:09:05 +0100

marknote (1.3.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 19:02:35 +0100

marknote (1.3.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add qt6-declarative-private-dev as a B-D due to #1087385.
  * Use dh_qmldeps to detect QML dependencies.
  * Add myself as uploader.

 -- Patrick Franz <deltaone@debian.org>  Sun, 15 Dec 2024 10:49:22 +0100

marknote (1.3.0-2) experimental; urgency=medium

  * Team upload.

  [ Vincent Pinon ]
  * Update runtime dependencies (QML modules).

 -- Patrick Franz <deltaone@debian.org>  Sun, 03 Nov 2024 18:57:48 +0100

marknote (1.3.0-1) experimental; urgency=medium

  * Initial package. (Closes: #1079011)

 -- Vincent Pinon <vpinon@kde.org>  Fri, 16 Aug 2024 15:28:51 +0200

=== debian/control ===
Source: marknote
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Vincent Pinon <vpinon@kde.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               kirigami-addons-dev (>= 1.3.0~),
               libkf6breezeicons-dev (>= 5.240~),
               libkf6colorscheme-dev (>= 5.240~),
               libkf6config-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6crash-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6iconthemes-dev (>= 5.240~),
               libkf6xmlgui-dev (>= 5.240~),
               libkirigami-dev (>= 6.0.0~),
               libkmime-dev (>= 24.12.0),
               libmd4c-dev,
               libxkbcommon-dev (>= 0.5.0),
               pkgconf,
               qt6-base-dev (>= 6.4~),
               qt6-declarative-dev (>= 6.4~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.4~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/office/marknote
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/marknote
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/marknote

Package: marknote
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Simple markdown note management app
 It supports a wide range of formating options useful for taking notes,
 like bold, italic, underlined and strike through fonts as well as headings,
 lists, check boxes, images and more.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/marknote/@PACKAGE@-([\d.]+).tar.xz

## marknote 1.3.0+p24.04+vstable+git20250925.1428

=== debian/changelog ===
marknote (1.3.0+p24.04+vstable+git20250925.1428-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 14:28:07 +0000

marknote (1.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 28 Jun 2024 13:51:20 +0000

marknote (1.2.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 23 May 2024 13:51:20 +0000

marknote (1.2.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 18 May 2024 13:51:25 +0000

marknote (1.1.1-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Mar 2024 22:26:01 +1000

marknote (1.0.0-1neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 05 Jan 2024 23:35:01 +1000

## marknote 1.3.0+p24.04+vstable+git20251001.1130

=== debian/changelog ===
marknote (1.3.0+p24.04+vstable+git20251001.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:30:52 +0000

## marknote 1.3.0+p24.04+vstable+git20251015.1157

=== debian/changelog ===
marknote (1.3.0+p24.04+vstable+git20251015.1157-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:57:37 +0000

## marknote 1.3.0+p24.04+vstable+git20251019.0151

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 include(FeatureSummary)
 
-set(QT_MIN_VERSION 6.4)
-set(KF_MIN_VERSION 5.240)
+set(QT_MIN_VERSION 6.6)
+set(KF_MIN_VERSION 6.8)
 set(KPIM_MIME_VERSION "6.1.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
@@ -32,6 +32,8 @@
 include(KDEGitCommitHooks)
 include(ECMAddAppIcon)
 include(ECMAddTests)
+include(ECMDeprecationSettings)
+include(ECMQmlModule)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX MARKNOTE
@@ -39,19 +41,22 @@
 )
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg)
-find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons ColorScheme XmlGui Crash)
-find_package(KF6BreezeIcons ${KF_MIN_VERSION} QUIET)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons IconThemes ColorScheme XmlGui)
 if (NOT ANDROID)
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash)
 endif()
 if (BUILD_TESTING)
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test)
 endif()
 
-find_package(KF6KirigamiAddons 1.3.0 REQUIRED)
+find_package(KF6KirigamiAddons 1.7.0 REQUIRED)
 set_package_properties(KF6KirigamiAddons PROPERTIES
     TYPE REQUIRED
     PURPOSE "Required application components and runtime dependency"
+)
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.16.0
 )
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
@@ -63,8 +68,6 @@
     URL "https://github.com/mity/md4c"
     PURPOSE "Improve output of markdown to html conversion"
 )
-
-qt_policy(SET QTP0001 NEW)
 
 add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)

=== debian/changelog ===
marknote (1.3.0+p24.04+vstable+git20251019.0151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:51:17 +0000

=== debian/control ===
Source: marknote
Section: kde
Priority: optional
Uploaders: KDE Neon <neon@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kxmlgui-dev,
               kpim6-kmime-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org
Vcs-Git: https://invent.kde.org/neon/neon-packaging/marknote.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/marknote
Maintainer: Neon CI <neon@kde.org>

Package: marknote
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Markdown is a simple markdown note management app.
 This package is part of the KDE office module.

## marknote 1.3.0+p24.04+vstable+git20251028.1006

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,16 @@
 # SPDX-License-Identifier: BSD-3-Clause
 # SPDX-FileCopyrightText: 2021 Mathis Brüchert <mbb-mail@gmx.de>
 
-qt_add_qml_module(marknote_static STATIC
+add_library(marknote_static STATIC)
+ecm_add_qml_module(marknote_static
     URI org.kde.marknote
+    GENERATE_PLUGIN_SOURCE
     QML_FILES
         qml/Main.qml
         qml/MainEditor.qml
         qml/NotesPage.qml
         qml/NoteMetadataDialog.qml
         qml/WelcomePage.qml
-        qml/ContextMenu.qml
-        qml/KQuickCommandBarPage.qml
-        qml/KActionFromAction.qml
 
         # Notebook
         qml/NotebookContextMenu.qml
@@ -30,9 +29,7 @@
         qml/TextFieldContextMenu.qml
 
         qml/components/ActionButton.qml
-        qml/components/BottomDrawer.qml
         qml/components/DoubleActionButton.qml
-        qml/components/RadioSelector.qml
         qml/FormIconDelegate.qml
 
         # Native menu
@@ -41,29 +38,26 @@
         qml/NativeFileMenu.qml
         qml/NativeEditMenu.qml
         qml/GlobalMenuBar.qml
-        qml/NativeMenuItemFromAction.qml
 
     SOURCES
-        documenthandler.cpp
-        notesmodel.cpp
-        notebooksmodel.cpp
+        documenthandler.cpp documenthandler.h
+        notesmodel.cpp notesmodel.h
+        notebooksmodel.cpp notebooksmodel.h
         nestedlisthelper.cpp
         nestedlisthelper_p.h
-        navigationcontroller.cpp
+        navigationcontroller.cpp navigationcontroller.h
         application.cpp
-        actionsmodel.cpp
-        commandbarfiltermodel.cpp
+        application.h
         tableactionhelper.cpp
+        tableactionhelper.h
         config.cpp
-        windowcontroller.cpp
-        colorschemer.cpp
-        foreigntypes.h
-
+        config.h
+        colorschemer.cpp colorschemer.h
         maildirimport.cpp
         maildirimport.h
 )
 
-kconfig_add_kcfg_files(marknote_static GENERATE_MOC marknotesettings.kcfgc)
+kconfig_target_kcfg_file(marknote_static FILE marknotesettings.kcfg CLASS_NAME Config MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR QML_REGISTRATION SINGLETON)
 
 add_subdirectory(settings)
 
@@ -78,12 +72,20 @@
     KF6::ConfigCore
     KF6::ConfigGui
     KF6::CoreAddons
+    KF6::IconThemes
     KF6::ColorScheme
     KF6::XmlGui
-    KF6::Crash
     KPim6::Mime
+    KirigamiAddonsStatefulApp
 )
+if (TARGET KF6::Crash)
+   target_link_libraries(marknote_static PRIVATE KF6::Crash)
+endif()
 
+if(TARGET KF6::I18nQml)
+target_link_libraries(marknote_static PUBLIC
+        KF6::I18nQml)
+endif()
 target_link_libraries(marknote_static PRIVATE settingsplugin)
 
 if (TARGET md4c::md4c-html)
@@ -91,13 +93,6 @@
 endif()
 
 add_executable(marknote main.cpp)
-
-if(TARGET KF6::BreezeIcons)
-    target_link_libraries(marknote PUBLIC
-        KF6::BreezeIcons
-    )
-    target_compile_definitions(marknote PRIVATE WITH_BREEZEICONS_LIB)
-endif ()
 
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-org.kde.marknote.png")
 ecm_add_app_icon(marknote ICONS

=== debian/changelog ===
marknote (1.3.0+p24.04+vstable+git20251028.1006-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:06:53 +0000

## marknote 1.3.0+p24.04+vstable+git20251210.0046

=== debian/changelog ===
marknote (1.3.0+p24.04+vstable+git20251210.0046-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 00:46:21 +0000

## marknote 1.3.0+p24.04+vstable+git20260126.1222

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2021 Mathis Brüchert <mbb-mail@gmx.de>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.20)
 
 # TODO move to release service
 set(RELEASE_SERVICE_VERSION_MAJOR "1")
-set(RELEASE_SERVICE_VERSION_MINOR "3")
-set(RELEASE_SERVICE_VERSION "1.3.0")
+set(RELEASE_SERVICE_VERSION_MINOR "4")
+set(RELEASE_SERVICE_VERSION "1.4.1")
 
 project(marknote VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -41,7 +41,12 @@
 )
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg)
-find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons IconThemes ColorScheme XmlGui)
+find_package(Qt6 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS DBus)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons IconThemes ColorScheme)
+
+find_package(KF6WindowSystem ${KF_MIN_VERSION} QUIET)
+find_package(KF6Runner ${KF_MIN_VERSION} QUIET)
+
 if (NOT ANDROID)
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
     find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash)
@@ -56,7 +61,7 @@
     PURPOSE "Required application components and runtime dependency"
 )
 ecm_set_disabled_deprecation_versions(QT 6.9.0
-    KF 6.16.0
+    KF 6.19.0
 )
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
@@ -79,6 +84,10 @@
 install(FILES org.kde.marknote.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 install(FILES org.kde.marknote.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
 
+if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
+    install(FILES plasma-runner-marknote.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins)
+endif()
+
 ecm_qt_install_logging_categories(
     EXPORT MARKNOTE
     FILE marknote.categories

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Mathis Brüchert <mbb-mail@gmx.de>

add_library(marknote_static STATIC)

ecm_add_qml_module(marknote_static
    URI org.kde.marknote
    GENERATE_PLUGIN_SOURCE
    QML_FILES
        qml/Main.qml
        qml/MainEditor.qml
        qml/NotesPage.qml
        qml/NoteMetadataDialog.qml
        qml/WelcomePage.qml
        # Notebook
        qml/NotebookContextMenu.qml
        qml/NotebookDelegate.qml
        qml/NotebookDeleteAction.qml
        qml/NotebookMetadataDialog.qml
        qml/NotebookDeleteDialog.qml
        qml/ImportMaildirDialog.qml
        # Editor
        qml/EditPage.qml
        qml/LinkDialog.qml
        qml/ImageDialog.qml
        qml/TableDialog.qml
        qml/SketchDialog.qml
        qml/TextFieldContextMenu.qml
        # Components
        qml/components/ActionButton.qml
        qml/components/DoubleActionButton.qml
        qml/FormIconDelegate.qml
        # Native menu
        qml/NativeHelpMenu.qml
        qml/NativeWindowMenu.qml
        qml/NativeFileMenu.qml
        qml/NativeEditMenu.qml
        qml/GlobalMenuBar.qml
    SOURCES
        documenthandler.cpp documenthandler.h
        notesmodel.cpp notesmodel.h
        notebooksmodel.cpp notebooksmodel.h
        nestedlisthelper.cpp nestedlisthelper_p.h
        navigationcontroller.cpp navigationcontroller.h
        application.cpp application.h
        tableactionhelper.cpp tableactionhelper.h
        config.cpp config.h
        colorschemer.cpp colorschemer.h
        maildirimport.cpp maildirimport.h
        sketchhistory.cpp sketchhistory.h
)

kconfig_target_kcfg_file(marknote_static
    FILE marknotesettings.kcfg
    CLASS_NAME Config
    MUTATORS
    GENERATE_PROPERTIES
    GENERATE_MOC
    DEFAULT_VALUE_GETTERS
    PARENT_IN_CONSTRUCTOR
    QML_REGISTRATION
    SINGLETON
)

add_subdirectory(settings)

target_link_libraries(marknote_static
    PUBLIC
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
        Qt::QuickControls2
        Qt::Svg
        KF6::I18n
        KF6::ConfigCore
        KF6::ConfigGui
        KF6::CoreAddons
        KF6::IconThemes
        KF6::ColorScheme
        KPim6::Mime
        KirigamiAddonsStatefulApp
        settingsplugin
)

if (TARGET KF6::I18nQml)
    target_link_libraries(marknote_static PUBLIC KF6::I18nQml)
endif()

if (TARGET KF6::WindowSystem)
    target_link_libraries(marknote_static PUBLIC KF6::WindowSystem)
    target_compile_definitions(marknote_static PRIVATE HAVE_KWINDOWSYSTEM)
endif()

if(TARGET KF6::Runner)
    target_sources(marknote_static PRIVATE runner.cpp runner.h)
    target_link_libraries(marknote_static PUBLIC KF6::Runner)
    target_compile_definitions(marknote_static PUBLIC HAVE_KRUNNER)
endif()

if (TARGET Qt6::DBus)
    target_link_libraries(marknote_static PUBLIC Qt6::DBus)
endif()

if (TARGET md4c::md4c-html)
    target_link_libraries(marknote_static PUBLIC md4c::md4c-html)
endif()

add_executable(marknote main.cpp)

target_link_libraries(marknote
    PRIVATE
        marknote_static
        marknote_staticplugin
)

if (NOT ANDROID)
    target_link_libraries(marknote PRIVATE Qt::Widgets)
endif()

# Icons
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-org.kde.marknote.png")
ecm_add_app_icon(marknote ICONS
    "${CMAKE_CURRENT_SOURCE_DIR}/../icons/sc-apps-org.kde.marknote.svg"
    ${ICONS_SRCS}
)

# Platform Specific
if (APPLE)
    set_target_properties(marknote PROPERTIES
        MACOSX_BUNDLE_DISPLAY_NAME "Marknote"
        MACOSX_BUNDLE_BUNDLE_NAME "Marknote"
        MACOSX_BUNDLE_LONG_VERSION_STRING "Marknote ${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
        MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.marknote"
        MACOSX_BUNDLE_COPYRIGHT "2002-2024 The Marknote Developers")
endif()

target_link_libraries(marknote PRIVATE marknote_static marknote_staticplugin)
if (TARGET KF6::Crash)
   target_link_libraries(marknote PRIVATE KF6::Crash)
endif()
if (NOT ANDROID)
    target_link_libraries(marknote PRIVATE Qt::Widgets)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(TARGETS marknote ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
marknote (1.3.0+p24.04+vstable+git20260126.1222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 12:22:12 +0000

## marknote 1.3.0+p24.04+vunstable+git20251212.0301

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2021 Mathis Brüchert <mbb-mail@gmx.de>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.20)
+cmake_minimum_required(VERSION 3.16)
 
 # TODO move to release service
 set(RELEASE_SERVICE_VERSION_MAJOR "1")
-set(RELEASE_SERVICE_VERSION_MINOR "4")
-set(RELEASE_SERVICE_VERSION "1.4.1")
+set(RELEASE_SERVICE_VERSION_MINOR "3")
+set(RELEASE_SERVICE_VERSION "1.3.0")
 
 project(marknote VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -41,12 +41,7 @@
 )
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg)
-find_package(Qt6 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS DBus)
-find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons IconThemes ColorScheme)
-
-find_package(KF6WindowSystem ${KF_MIN_VERSION} QUIET)
-find_package(KF6Runner ${KF_MIN_VERSION} QUIET)
-
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons IconThemes ColorScheme XmlGui)
 if (NOT ANDROID)
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
     find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash)
@@ -84,10 +79,6 @@
 install(FILES org.kde.marknote.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 install(FILES org.kde.marknote.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
 
-if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
-    install(FILES plasma-runner-marknote.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins)
-endif()
-
 ecm_qt_install_logging_categories(
     EXPORT MARKNOTE
     FILE marknote.categories

=== debian/changelog ===
marknote (1.3.0+p24.04+vunstable+git20251212.0301-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 03:01:38 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,8 @@
                kf6-kirigami2-dev,
                kf6-kxmlgui-dev,
                kpim6-kmime-dev,
+               libmd4c-dev,
+               libmd4c-html0-dev,
                pkg-kde-tools-neon,
                qt6-base-dev
 Standards-Version: 4.6.2

## marknote 1.3.0+p24.04+vunstable+git20260105.1357

=== debian/changelog ===
marknote (1.3.0+p24.04+vunstable+git20260105.1357-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:57:41 +0000

## marknote 1.3.0+p24.04+vunstable+git20260129.0333

=== debian/changelog ===
marknote (1.3.0+p24.04+vunstable+git20260129.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:33:51 +0000

## marknote 1.3.0+p24.04+vunstable+git20260201.0651

=== debian/changelog ===
marknote (1.3.0+p24.04+vunstable+git20260201.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:51:46 +0000

## marknote 1.4.1

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Mathis Brüchert <mbb-mail@gmx.de>

add_library(marknote_static STATIC)
ecm_add_qml_module(marknote_static
    URI org.kde.marknote
    GENERATE_PLUGIN_SOURCE
    QML_FILES
        qml/Main.qml
        qml/MainEditor.qml
        qml/NotesPage.qml
        qml/NoteMetadataDialog.qml
        qml/WelcomePage.qml

        # Notebook
        qml/NotebookContextMenu.qml
        qml/NotebookDelegate.qml
        qml/NotebookDeleteAction.qml
        qml/NotebookMetadataDialog.qml
        qml/NotebookDeleteDialog.qml
        qml/ImportMaildirDialog.qml

        # Editor
        qml/EditPage.qml
        qml/LinkDialog.qml
        qml/ImageDialog.qml
        qml/TableDialog.qml
        qml/SketchDialog.qml
        qml/TextFieldContextMenu.qml

        qml/components/ActionButton.qml
        qml/components/DoubleActionButton.qml
        qml/FormIconDelegate.qml

        # Native menu
        qml/NativeHelpMenu.qml
        qml/NativeWindowMenu.qml
        qml/NativeFileMenu.qml
        qml/NativeEditMenu.qml
        qml/GlobalMenuBar.qml

    SOURCES
        documenthandler.cpp documenthandler.h
        notesmodel.cpp notesmodel.h
        notebooksmodel.cpp notebooksmodel.h
        nestedlisthelper.cpp
        nestedlisthelper_p.h
        navigationcontroller.cpp navigationcontroller.h
        application.cpp
        application.h
        tableactionhelper.cpp
        tableactionhelper.h
        config.cpp
        config.h
        colorschemer.cpp colorschemer.h
        maildirimport.cpp
        maildirimport.h
        sketchhistory.cpp
        sketchhistory.h
)

kconfig_target_kcfg_file(marknote_static FILE marknotesettings.kcfg CLASS_NAME Config MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR QML_REGISTRATION SINGLETON)

add_subdirectory(settings)

target_link_libraries(marknote_static PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    KF6::I18n
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::IconThemes
    KF6::ColorScheme
    KF6::XmlGui
    KPim6::Mime
    KirigamiAddonsStatefulApp
)
if (TARGET KF6::Crash)
   target_link_libraries(marknote_static PRIVATE KF6::Crash)
endif()

if(TARGET KF6::I18nQml)
target_link_libraries(marknote_static PUBLIC
        KF6::I18nQml)
endif()
target_link_libraries(marknote_static PRIVATE settingsplugin)

if (TARGET md4c::md4c-html)
    target_link_libraries(marknote_static PUBLIC md4c::md4c-html)
endif()

add_executable(marknote main.cpp)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-org.kde.marknote.png")
ecm_add_app_icon(marknote ICONS
    "${CMAKE_CURRENT_SOURCE_DIR}/../icons/sc-apps-org.kde.marknote.svg"
    ${ICONS_SRCS}
)

if(APPLE)
    set_target_properties(marknote PROPERTIES
        MACOSX_BUNDLE_DISPLAY_NAME "Marknote"
        MACOSX_BUNDLE_BUNDLE_NAME "Marknote"
        MACOSX_BUNDLE_LONG_VERSION_STRING "Marknote ${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
        MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.marknote"
        MACOSX_BUNDLE_COPYRIGHT "2002-2024 The Marknote Developers")
endif()


target_link_libraries(marknote PRIVATE marknote_static marknote_staticplugin)
if (NOT ANDROID)
    target_link_libraries(marknote PRIVATE Qt::Widgets)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(TARGETS marknote ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
marknote (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump version requirements for build-dep.
  * debian/patches: Drop unneeded backported patches.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/copyright: Refresh information.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Feb 2026 17:42:57 -0500

=== debian/control ===
Source: marknote
Section: kde
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Vincent Pinon <vpinon@kde.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               kirigami-addons-dev (>= 1.7.0~),
               libkf6breezeicons-dev (>= 6.8~),
               libkf6colorscheme-dev (>= 6.8~),
               libkf6config-dev (>= 6.8~),
               libkf6coreaddons-dev (>= 6.8~),
               libkf6crash-dev (>= 6.8~),
               libkf6i18n-dev (>= 6.8~),
               libkf6iconthemes-dev (>= 6.8~),
               libkf6xmlgui-dev (>= 6.8~),
               libkirigami-dev (>= 6.0.0~),
               libkmime-dev (>= 24.12.0),
               libmd4c-dev,
               libxkbcommon-dev (>= 0.5.0),
               pkgconf,
               qt6-base-dev (>= 6.6~),
               qt6-declarative-dev (>= 6.6~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.6~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/office/marknote
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/marknote
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/marknote
Description: Simple markdown note management app
 It supports a wide range of formatting options useful for taking notes,
 like bold, italic, underlined and strike through fonts as well as headings,
 lists, check boxes, images and more.

Package: marknote
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/watch ===
Version: 5

Source: https://download.kde.org/stable/marknote/
Matching-Pattern: @PACKAGE@-([\d.]+).tar.xz
Pgpsigurlmangle: s/$/.sig/
